# $Revision: 1.7 $, $Date: 2005/12/31 10:36:33 $
Summary:	Simple transactions module for Ruby
Summary(pl):	Prosty modu transakcji dla jzyka Ruby
Name:		ruby-transaction-simple
Version:	1.3.0
Release:	2
License:	Ruby License
Group:		Development/Languages
Source0:	http://rubyforge.org/frs/download.php/4332/transaction-simple-%{version}.tar.gz
# Source0-md5:	c10b1f4d320cf8cb8bb6fdf10531141e
Source1:	setup.rb
URL:		http://halostatue.ca/
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel
%{?ruby_mod_ver_requires_eq}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Transaction::Simple provides a generic way to add active transactional
support to objects. The transaction methods added by this module will
work with most objects, excluding those that cannot be Marshaled
(bindings, procedure objects, IO instances, or singleton objects).

%description -l pl
Transaction::Simple udostpnia ogln metod dodajc obsug
transakcji aktywnych do obiektu. Metody transakcyjne dodane przez ten
modu bd dziaa z wikszoci obiektw z wyjtkiem tych, na ktrych
nie mona wykona operacji Marshal (dowiza, obiektw procedur,
instancji IO czy obiektw singleton).

%prep
%setup -q -n transaction-simple-%{version}
cp %{SOURCE1} .

%build
ruby setup.rb config \
	--siterubyver=%{ruby_rubylibdir}
ruby setup.rb setup

rdoc --op rdoc lib
rdoc --ri --op ri lib

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_archdir},%{ruby_ridir}}

ruby setup.rb install \
	--prefix=$RPM_BUILD_ROOT

cp -a ri/ri/* $RPM_BUILD_ROOT%{ruby_ridir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc rdoc
%{ruby_rubylibdir}/transaction
%{ruby_ridir}/Transaction

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-transaction-simple.spec,v $
Revision 1.7  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.6  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.5  2005/12/27 10:07:59  twittner
- remove redundant BR: ruby-modules (BR: ruby-devel implies it)

Revision 1.4  2005/12/27 09:44:49  twittner
- (B)R: s/ruby/ruby-modules/, rel. 2 (mass commit through script)

Revision 1.3  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.2  2005/05/12 18:08:09  qboosh
- pl

Revision 1.1  2005/05/11 22:03:47  aredridel
- added
